use gio::{glib::Variant, SimpleAction};
use gtk4 as gtk;

use gtk::{prelude::GtkWindowExt, AboutDialog, Image};

use std::path::Path;

pub fn open_about_dialogue(_action: &SimpleAction, _var: Option<&Variant>) {
    let logo = Image::from_file(Path::new("./src/view/resources/logo.png"))
        .paintable()
        .unwrap();
    AboutDialog::builder()
        .authors(vec!["Сагиев А.Д.", "Ефимов И.П."])
        .version("1.0-beta")
        .logo(&logo)
        .website("https://gitea.doryan04.ru/doryan/AIT")
        .build()
        .present();
}
